Skip to main content
`Ctrl`+`K`

# NEPCreate

Creates the `NEP` context.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCreate(MPI_Comm comm,NEP *outnep)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- outnep - location to put the `NEP` context

## Note

The default `NEP` type is `NEPRII`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetUp()`, `NEPSolve()`, `NEPDestroy()`, `NEP`

## Level

beginner

## Location

src/nep/interface/nepbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex54f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages